# ApplicationFramework
PTKernel
PColStd

# PColStd_HashAsciiString Class Reference

Redefines the HashCode for HAsciiString
.

`#include <PColStd_HashAsciiString.hxx>`

Inheritance diagram for PColStd_HashAsciiString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColStd_HashAsciiString ()
| Empty constructor. .
virtual Standard_EXPORT Standard_Integer | HashCode (const Handle(PCollection_HAsciiString)&MyKey, const Standard_Integer Upper) const
| Returns a hashcod value of key bounded by Upper. .
virtual Standard_EXPORT Standard_Boolean | Compare (const Handle(PCollection_HAsciiString)&One, const Handle(PCollection_HAsciiString)&Two) const
| Compare two keys and returns a boolean value .

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PColStd_HashAsciiString_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_HashAsciiString::PColStd_HashAsciiString | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean PColStd_HashAsciiString::Compare | ( | const Handle(PCollection_HAsciiString)& | One,
|  | const Handle(PCollection_HAsciiString)& | Two
| ) | const`[virtual]`

| Reimplemented from PColStd_HOfAsciiString.

virtual Standard_EXPORT Standard_Integer PColStd_HashAsciiString::HashCode | ( | const Handle(PCollection_HAsciiString)& | MyKey,
|  | const Standard_Integer | Upper
| ) | const`[virtual]`

| Reimplemented from PColStd_HOfAsciiString.

void PColStd_HashAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from PColStd_HOfAsciiString.

void* PColStd_HashAsciiString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from PColStd_HOfAsciiString.

void* PColStd_HashAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from PColStd_HOfAsciiString.

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColStd_HashAsciiString_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColStd_HashAsciiString.hxx